{% block sw_cms_element_image_slider_element_config %}
    <div class="sw-cms-el-config-referenz-slider-element">
        {% block sw_cms_element_image_slider_config_tabs %}
            <sw-tabs class="sw-cms-el-config-referenz-slider-element__tabs" defaultItem="content">
                <template slot-scope="{ active }" >
                    {% block sw_cms_element_image_slider_config_tab_content %}
                        <sw-tabs-item :title="$tc('sw-cms.elements.general.config.tab.content')"
                                      name="content"
                                      :activeTab="active">
                            {{ $tc('sw-cms.elements.general.config.tab.content') }}
                        </sw-tabs-item>
                    {% endblock %}
                    {% block sw_cms_element_image_slider_config_tab_options %}
                        <sw-tabs-item :title="$tc('sw-cms.elements.general.config.tab.settings')"
                                      name="settings"
                                      :activeTab="active">
                            {{ $tc('sw-cms.elements.general.config.tab.settings') }}
                        </sw-tabs-item>
                    {% endblock %}
                </template>

                <template slot="content" slot-scope="{ active }">
                    {% block sw_cms_element_image_slider_config_content %}
                        <sw-container v-if="active === 'content'" class="sw-cms-el-config-referenz-slider-element__tab-content">
                            {% block sw_cms_element_image_slider_config_media_selection %}
                                <sw-media-list-selection-v2
                                        :entityMediaItems="mediaItems"
                                        :entity="entity"
                                        :uploadTag="uploadTag"
                                        :defaultFolderName="defaultFolderName"
                                        @upload-finish="onImageUpload"
                                        @item-remove="onItemRemove"
                                        @open-sidebar="onOpenMediaModal">
                                </sw-media-list-selection-v2>
                            {% endblock %}

                            {% block sw_cms_element_image_slider_element_config_media_modal %}
                                <sw-media-modal-v2
                                        variant="regular"
                                        v-if="mediaModalIsOpen"
                                        :caption="$tc('sw-cms.elements.general.config.caption.mediaUpload')"
                                        :entityContext="cmsPageState.entityName"
                                        :initialFolderId="cmsPageState.defaultMediaFolderId"
                                        @media-upload-remove-image="onItemRemove"
                                        @media-modal-selection-change="onMediaSelectionChange"
                                        @modal-close="onCloseMediaModal">
                                </sw-media-modal-v2>
                            {% endblock %}
                        </sw-container>
                    {% endblock %}

                    {% block sw_cms_element_image_slider_element_config_settings %}
                        <sw-container v-if="active === 'settings'" class="sw-cms-el-config-referenz-slider-element__tab-settings">
                            <div class="sw-cms-el-config-referenz-slider-element__settings-options">

                                {% block sw_cms_element_image_gallery_config_settings_display_mode %}
                                    <div class="sw-cms-el-config-referenz-slider-element__setting-option">

                                        {% block sw_cms_element_image_gallery_config_settings_display_mode_select %}
                                            <sw-select-field :label="$tc('sw-cms.elements.general.config.label.displayMode')"
                                                             v-model="element.config.displayMode.value"
                                                             @change="onChangeDisplayMode"
                                                             class="sw-cms-el-config-referenz-slider-element__setting-display-mode">
                                                <option value="standard">{{ $tc('sw-cms.elements.general.config.label.displayModeStandard') }}</option>
                                                <option value="cover">{{ $tc('sw-cms.elements.general.config.label.displayModeCover') }}</option>
                                                <option value="contain">{{ $tc('sw-cms.elements.general.config.label.displayModeContain') }}</option>
                                            </sw-select-field>
                                        {% endblock %}

                                        {% block sw_cms_element_image_gallery_config_settings_min_height %}
                                            <sw-text-field :label="$tc('sw-cms.elements.image.config.label.minHeight')"
                                                           :placeholder="$tc('sw-cms.elements.image.config.label.minHeight')"
                                                           :disabled="element.config.displayMode.value !== 'cover'"
                                                           v-model="element.config.minHeight.value"
                                                           @input="onChangeMinHeight">
                                            </sw-text-field>
                                        {% endblock %}

                                        {% block sw_cms_element_image_gallery_config_settings_vertical_align %}
                                            <sw-select-field :label="$tc('sw-cms.elements.general.config.label.verticalAlign')"
                                                             v-model="element.config.verticalAlign.value"
                                                             :placeholder="$tc('sw-cms.elements.general.config.label.verticalAlign')"
                                                             :disabled="element.config.displayMode.value === 'cover'">
                                                <option value="flex-start">{{ $tc('sw-cms.elements.general.config.label.verticalAlignTop') }}</option>
                                                <option value="center">{{ $tc('sw-cms.elements.general.config.label.verticalAlignCenter') }}</option>
                                                <option value="flex-end">{{ $tc('sw-cms.elements.general.config.label.verticalAlignBottom') }}</option>
                                            </sw-select-field>
                                        {% endblock %}
                                    </div>
                                {% endblock %}


                                {% block sw_cms_element_image_slider_config_settings_navigation %}
                                    <div class="sw-cms-el-config-referenz-slider-element__setting-navigations sw-cms-el-config-referenz-slider-element__setting-option">
                                        <div class="sw-cms-el-config-referenz-slider-element__settings-navigation">

                                            {% block sw_cms_element_image_slider_element_config_settings_navigation_arrow_position %}
                                                <sw-field type="select"
                                                          v-model="element.config.navigationArrows.value"
                                                          @change="emitUpdateEl"
                                                          :label="$tc('sw-cms.elements.imageSlider.config.label.navigationArrows')">

                                                    <option :value="null">
                                                        {{ $tc('sw-cms.elements.imageSlider.config.label.navigationPositionNone') }}
                                                    </option>
                                                    <option value="inside">
                                                        {{ $tc('sw-cms.elements.imageSlider.config.label.navigationPositionInside') }}
                                                    </option>
                                                    <option value="outside">
                                                        {{ $tc('sw-cms.elements.imageSlider.config.label.navigationPositionOutside') }}
                                                    </option>
                                                </sw-field>
                                            {% endblock %}
                                        </div>

                                        <div class="sw-cms-el-config-referenz-slider-element__settings-navigation">

                                            {% block sw_cms_element_image_slider_element_config_settings_navigation_dots_position %}
                                                <sw-field type="select"
                                                          v-model="element.config.navigationDots.value"
                                                          @change="emitUpdateEl"
                                                          :label="$tc('sw-cms.elements.imageSlider.config.label.navigationDots')">

                                                    <option :value="null">
                                                        {{ $tc('sw-cms.elements.imageSlider.config.label.navigationPositionNone') }}
                                                    </option>
                                                    <option value="inside">
                                                        {{ $tc('sw-cms.elements.imageSlider.config.label.navigationPositionInside') }}
                                                    </option>
                                                    <option value="outside">
                                                        {{ $tc('sw-cms.elements.imageSlider.config.label.navigationPositionOutside') }}
                                                    </option>
                                                </sw-field>
                                            {% endblock %}
                                        </div>
                                    </div>
                                {% endblock %}

                                {% block sw_cms_element_image_slider_element_config_settings_links %}
                                    <div class="sw-cms-el-config-referenz-slider-element__settings-links sw-cms-el-config-referenz-slider-element__setting-option">
                                        <div class="sw-cms-el-config-referenz-slider-element__settings-link"
                                             v-for="sliderItem in items">
												{% block sw_cms_element_image_slider_element_config_settings_link_url %}
												    <sw-field v-model="sliderItem.url"
												              class="sw-cms-el-config-referenz-slider-element__settings-link-input"
												              :key="sliderItem.mediaId"
												              :name="sliderItem.mediaUrl"
												              type="text"
												              :label="$tc('sw-cms.elements.image.config.label.linkTo')"
												              :placeholder="$tc('sw-cms.elements.image.config.placeholder.enterUrl')">
												        <template #prefix>
												            <img class="sw-cms-el-config-referenz-slider-element__settings-link-prefix"
												                 :src="sliderItem.mediaUrl"
												                 v-if="sliderItem.mediaUrl">
												        </template>
												    </sw-field>
												{% endblock %}
												
												{% block sw_cms_element_image_slider_element_config_settings_link_target %}
												    <sw-field class="sw-cms-el-config-referenz-slider-element__settings-link-tab"
												              v-model="sliderItem.newTab"
												              type="switch"
												              :name="sliderItem.mediaId"
												              :label="$tc('sw-cms.elements.image.config.label.linkNewTab')">
												    </sw-field>
												
												    <sw-field class="sw-cms-el-config-referenz-slider-element__settings-title"
														v-model="sliderItem.contentTitle"
														type="text"
														label="Kunden Meinung"
														placeholder="Title">
													</sw-field>
													
													<sw-field class="sw-cms-el-config-referenz-slider-element__settings-content"
														v-model="sliderItem.clientName"
														type="text"
														label="Kunden Name"
														placeholder="Name Kunde">
													</sw-field>
													
													<sw-field class="sw-cms-el-config-referenz-slider-element__settings-buttontext"
														v-model="sliderItem.clientShop"
														type="text"
														label="Kunden Beschreibung"
														placeholder="Shop Kunde">
													</sw-field>
													
													<sw-number-field numberType="float" :step="1" :min="1" :max="5" :value="2" :digits="1" 
														v-model="sliderItem.productRating"
														label="Anzahl Sterne">
													</sw-number-field>
												{% endblock %}
                                        </div>
                                    </div>
                                {% endblock %}
                            </div>
                        </sw-container>
                    {% endblock %}
                </template>
            </sw-tabs>
        {% endblock %}
    </div>
{% endblock %}
